Questions tagged [cadquery]
13 questions
8
votes
2 answers
Embed widgets with jupyter-cadquery (threejs): wrong position on load
I am using jupyter-cadquery to visualize some 3D models made with CadQuery.
When visualizing the models on a Jupyter notebook, everything works as expected.
But when trying to embed the widget in an HTML document, it seems the camera, on load, is…

Peque
- 13,638
- 11
- 69
- 105
2
votes
2 answers
Coding library to convert STEP to STL without large output file sizes
I am building a service to convert STEP files to STL files for user viewing. This conversion is just so the user can view the file uploaded to the server. It is not used to modify the file.
However, the tested conversion libraries can not…

M. Nicol
- 73
- 1
- 5
2
votes
0 answers
ImportError: cadquery was unable to determine freecad library path
I am trying to run code from this source. The code is written in python 2, so I am using virtual environment with anaconda. The code replies on rather old versions of cadquery 1.2.0, which I installed into conda environment using pip. I also…

Vid
- 151
- 1
- 5
1
vote
2 answers
CadQuery: Selecting an edge by index (Filleting specific edges)
I come from the engineering CAD world and I'm creating some designs in CadQuery. What I want to do is this (pseudocode):
edges = part.edges()
edges[n].fillet(r)
Or ideally have the ability to do something like this (though I can't find any methods…

Tristan Antonsen
- 11
- 2
1
vote
0 answers
Displaying CadQuery data in a QT5 window in Python
I wrote a python program using the PyQt5 libraries. This program I can make into an executable with pyinstaller.
I would like to add the functionality to show a 3D cad image based on user inputs. The CadQuery package has a nice intuitive approach…

Govert Kruijtzer
- 11
- 2
1
vote
1 answer
how to iteratively loft wires in cadquery?
I can loft a 2D shape from one plane to another like this:
import cadquery as cq
from jupyter_cadquery.cadquery import show
result = cq.Workplane("XY").rect(1,2).workplane() \
.transformed(offset=cq.Vector(0, -0.5, 1.0),rotate=cq.Vector(10, 0,…

lalebarde
- 1,684
- 1
- 21
- 36
0
votes
0 answers
How to find the normal vector at a given point on a face in Cadquery
Given any face I want to find the normal vector at a given point on the surface, using Cadquery or OCCT.
I am looking for a generic solution, not just the spline where the normal can be calculated.
Cadquery's documentation does not address this…

mxdbld
- 16,747
- 5
- 34
- 37
0
votes
1 answer
How to parallelize CadQuery or import `cq_serialize`
I try to serialize CadQuery like discussed hier with e.g. this code:
from multiprocessing import Pool
import cadquery as cq
from cq_serialize import register as register_cq_helper
register_cq_helper()
def make_box(size: float):
return…

mtooling
- 43
- 6
0
votes
1 answer
How to make cboreHole normal to back surface
I am trying to create an angled bracket to be mounted onto a surface such that the counter-bored holes are normal to the back face, but start at the proper location on the front face.
I have this code:
backing = (
housing_back_plane # this is…

JBCP
- 13,109
- 9
- 73
- 111
0
votes
1 answer
Weird behaviour of CadQuery when subtracting cylinders to sphere
I want to subtract 4 cylinders from a hemisphere. The four cylinders are aligned to (1,0,0), (-1,0,0), (0,1,0), (0,-1,0) and do intersect.
When intersecting one part won't be subtracted!
Whit non-intersecting cones i get the following as…

Pa Dalton
- 41
- 8
0
votes
1 answer
How to use cadquery server ui import?
I would like to experiment a bit with cadquery, it looks pretty cool!
So, I installed the package using pip following the documentation (see https://cadquery.readthedocs.io/en/latest/installation.html). So far so good.
Next, I tried cadquery-server…

user13187525
- 13
- 1
- 3
0
votes
0 answers
How to create a triangular support in CadQuery?
I need to create a right angle with a triangular support, as seen in the example below (which I created in Blender). I know how to create the right angle, but I don't really know how to create the triangular support. The only way that I was able to…

zegkljan
- 8,051
- 5
- 34
- 49
0
votes
0 answers
How to extrude a surface along a line with cadquery python
I would like to extrude a step surface previously imported with the cadquery python library (or any other useful library!). The extrusion will be along a line, line built by providing x,y,z coordinnates of the start/end point. I have multiple line…

Coolpix
- 503
- 1
- 6
- 20